@font-face {
  font-family: "PPNeueMachina";
  src: url("/fonts/PPNeueMachina-InktrapRegular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
}

html,
body {
  margin: 0;
  padding: 0;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  padding: 0;
  font-family: "PPNeueMachina";
}

h1 {
  font-size: 96px;
  font-weight: 800;
  /*line-height: 81.6px;*/
  line-height: 100px;
  color: #fff;
  font-family: "PPNeueMachina";
}

h2 {
  font-size: 48px;
  font-weight: 800;
  line-height: 48px;
  font-family: "PPNeueMachina";
  color: #fff;
}

h3 {
  font-size: 40px;
  font-weight: 800;
  line-height: 38px;
  font-family: "PPNeueMachina";
  color: #fff;
}


p,
li,
a {
  font-size: 24px;
  font-weight: 300;
  line-height: 28.8px;
  font-family: "PPNeueMachina";
  color: #fff;
}

.body-small {
  font-size: 20px;
  font-weight: 400;
  line-height: 24px;
}

a {
  text-transform: uppercase;
}

@media screen and (max-width: 768px) {
  h1 {
    font-size: 64px;
    line-height: 54.4px;
  }

  p,
  li,
  a {
    font-size: 20px;
    line-height: 24px;
  }

  h2 {
    font-size: 40px;
    line-height: 40px;
  }

  h3 {
    font-size: 24px;
    line-height: 22.8px;
  }
}


.black,
.black * {
  color: #000;
}
/* HERO VIDEO HEADER - START */

.hero-container {
  width: 100%;
  height: 100vh;
  display: block;
  position: relative;
}

.video-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: -100;
}

.heading-title {
  margin-bottom: 32px;
}

.heading-title-container {
  max-width: 100%;
  margin: 0px 13px;

  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.hero-logo {
  margin: 0 auto;
  padding-top: 58px;
  display: block;
  max-width: 120px;
}

.hero-video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media screen and (min-width: 769px) {
  .hero-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .hero-logo {
    padding-top: 64px;
  }

  .heading-title-container {
    max-width: 1792px;
    margin: 0px 64px;

    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
  }
}

/* HERO VIDEO HEADER - END */
/* BRAND MOTTO - START */
.brand-motto-container {
  background-color: #000;
  display: flex;
  flex-direction: column;

  padding: 64px 16px 64px 16px;
}

.brand-motto-container img {
  width: 275px;
  margin: 0 auto;
  display: block;
}

.brand-motto-container h2 {
  margin: 0 16px;
  max-width: 361px;
  padding-bottom: 32px;
}

@media screen and (min-width: 769px) {
  .brand-motto-container {
    padding: 64px;
    flex-direction: row;
    align-items: center;
  }

  .brand-motto-container img {
    width: 266px;
  }

  .brand-motto-container h2 {
    max-width: 1164px;
    padding-bottom: 0px;
  }
}
/* BRAND MOTTO - END */
/* TEXT BLOCK - START */

.text-block-container {
  display: flex;
  flex-direction: column;
  padding: 16px;
}

.text-block-container > * {
  width: 100%;
}

.text-block-container .contact-container h2 {
  padding-bottom: 48px;
}

.contact-cta {
  color: #000;
}

#contact-cta-desktop {
  display: none;
}

#contact-cta-mobile {
  display: block;
}

@media screen and (min-width: 930px) {
  .text-block-container {
    flex-direction: row;
    padding: 64px;
  }

  #contact-cta-desktop {
    display: block;
  }

  #contact-cta-mobile {
    display: none;
  }

  .text-block-container > * {
    width: 50%;
  }
}
/* TEXT BLOCK - END */
/* WYSIWYG - START */
.wysiwyg {
    padding: 16px;
}

.wysiwyg h3 {
    margin-bottom: 10px;
    margin-top: 25px;
}

@media screen and (min-width: 930px) {
    .wysiwyg {
        padding: 64px;
    }
}
/* WYSIWYG - END */
/* TWO SECTION BLOCK - START */
.two-section-bordered-block-container {
  width: 100%;
  background-color: #000;
  display: flex;
  flex-direction: column;
}

.two-section-bordered-block-container > * {
  padding: 40px 16px;
}

.two-section-bordered-block-container .section-content {
  border-top: 0.5px solid #f7f5f2;
}

.section-content p {
  padding-bottom: 32px;
}
/* Contact SECTION BLOCK - START */
.contact-section-bordered-block-container {
  background-color: #F7F5F2;
  display: flex;
  flex-direction: column;
}

.dropdown-btn {
    font-family: "PPNeueMachina";
    background-color: #F7F5F2;
    color: #000;
    padding-left: 64px;
    padding-right: 64px;
    padding-top: 32px;
    padding-bottom: 32px;
    font-size: 24px;
    cursor: pointer;
    width: 100%;
    text-align: left;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 0.5px solid #000;
    border-bottom: 0.5px solid #000;
    border-left: none;
    border-right: none;
}

.dropdown-btn.show {
    font-family: "PPNeueMachina";
    background-color: #F7F5F2;
    color: #000;
    padding-left: 64px;
    padding-right: 64px;
    padding-top: 32px;
    padding-bottom: 32px;
    font-size: 24px;
    cursor: pointer;
    width: 100%;
    text-align: left;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 0.5px solid #000;
    border-bottom: 0.5px solid #000;
    border-left: none;
    border-right: none;
}

.dropdown-content {
    display: none;
    background-color: #000;
    min-width: 100%;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
.dropdown-content a {
    font-family: "PPNeueMachina";
    font-size: 24px;
    color: white;
    padding-left: 64px;
    padding-right: 64px;
    padding-top: 32px;
    padding-bottom: 32px;
    text-decoration: none;
    display: block;
    border-bottom: 0.5px solid #f7f5f2;
    text-transform: none;
}

.dropdown-icon {
    width: 24px;
    height: 13.5px;
    transition: transform 0.3s ease;
}

.show {
    display: block;
}
.show .dropdown-icon {
    transform: rotate(180deg);
}

.contact-section-bordered-block-container .black-section-content {
  border-top: 0.5px solid #000;
}

.black-section-title{
color: #000;
padding-left: 64px;
padding-right: 64px;
padding-top: 40px;
padding-bottom: 40px;
}

.black-section-content p {
  color: #000
}

.contact-content-title {
    color: #000;
}

.contact-content-title-container {
    padding-top: 48px;
    padding-bottom: 48px;
    padding-left: 64px;
    padding-right: 64px;
}

.contact-text {
    padding-bottom: 48px;
}

.contact-email-container {
    padding-top: 48px;
    padding-bottom: 48px;
    padding-left: 64px;
    padding-right: 64px;
}

.contact-email-container a {
    color: #000;
}

@media screen and (min-width: 769px) {
  .two-section-bordered-block-container {
    flex-direction: row;
  }

  .two-section-bordered-block-container > * {
    width: 50%;
    padding: 64px;
  }

  .two-section-bordered-block-container .section-content {
    border-top: none;
  }

  .two-section-bordered-block-container h2 {
    align-self: center;
  }

  .section-content {
    border-left: 0.5px solid #f7f5f2;
  }

  .contact-section-bordered-block-container {
    display: grid;
    grid-template-columns: 50% 50%;
  }

  .contact-section-bordered-block-container .black-section-content {
    border-top: none;
  }

  .contact-section-bordered-block-container h2 {
    align-self: center;
  }
  .black-section-title{
    color: #000
}
  .black-section-content {
    border-left: 0.5px solid #000;
    color: #000 ;
  }
}

/* TWO SECTION BLOCK - END*/
/* CONTACT SECTION BLOCK - END*/
/* FOOTER - START */
.footer-container {
  background-color: #000;
  width: 100%;

  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.footer-container-socials-section {
  padding: 16px;
  display: flex;
  justify-content: space-between;
}

.footer-socials-logo {
  width: 70px;
  padding: 16px;
}

.footer-socials-container {
  width: auto;
  padding-top: 32px;
  display: flex;
  column-gap: 32px;
}

.footer-container-contact-seciton {
  padding: 32px 16px;
  border-top: 0.5px solid #f7f5f2;
}

.footer-contact-heading {
  margin: 0;
}

.footer-contact {
  color: #fff;
  list-style: none;
  padding: 26px 0px;
  margin: 0;
}

.google-maps-location-link {
  text-transform: uppercase;
}

.footer-container-legal-section {
  padding: 32px 23px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-top: 0.5px solid #f7f5f2;
}

.footer-navigation {
  display: flex;
  padding: 0;
  padding-bottom: 48px;
  margin: 0;
  gap: 16px;
  list-style: none;
  flex-wrap: wrap;
  text-transform: uppercase;
  justify-content: center;
}

.footer-copyright {
  list-style: none;
  padding: 0;
  margin: 0;
  text-align: center;
}

@media screen and (min-width: 1320px) {
  .footer-container {
    flex-direction: row;
    flex-wrap: nowrap;
  }

  .footer-container-socials-section {
    padding: 64px;
    flex-direction: column;
  }

  .footer-socials-logo {
    width: 156px;
    padding: 0;
  }

  .footer-container-contact-seciton {
    padding: 64px;
    flex-grow: 1;
    border: none;
  }

  .footer-contact {
    padding: 46px 0px;
  }

  .footer-container-legal-section {
    padding: 64px 32px;
    flex-direction: column;
    justify-content: space-between;
    border-top: none;
    border-left: 0.5px solid #f7f5f2;
  }

  .footer-navigation {
    padding: 0;
    gap: 32px;
    flex-wrap: nowrap;
    justify-content: flex-start;
  }

  .footer-copyright {
    text-align: left;
  }
}
/* FOOTER - END */
/* ALTERNATIVE HEADER WHITE ON BLACK - START */
.header-white-on-black-container {
  width: 100%;
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  padding-top: 58px;
}

.header-white-on-black-container .company-logo {
  width: 80px;
  padding: 16px 0px;
}

@media screen and (min-width: 769px) {
  .header-white-on-black-container {
    justify-content: center;
    align-items: center;
    height: 278px;
    padding-top: 0px;
  }

  .header-white-on-black-container .company-logo {
    width: 120px;
    padding: 0;
  }
}
/* ALTERNATIVE HEADER WHITE ON BLACK - END */
/* STATIC PGAE HEADER - START */
.static-page-heading-container {
  background-color: #000;
  padding: 40px 16px;
  border-top: 0.5px solid #f7f5f2;
  border-bottom: 0.5px solid #f7f5f2;
}

.static-page-heading-container .page-heading {
  padding-bottom: 16px;
  word-wrap: break-word;
}

@media screen and (min-width: 769px) {
  .static-page-heading-container {
    width: 100%;
    background-color: #000;
    padding: 40px 64px;
    border-top: 0.5px solid #f7f5f2;
    border-bottom: 0.5px solid #f7f5f2;
  }

  .static-page-heading-container .page-heading {
    padding-bottom: 16px;
  }
}
/* STATIC PGAE HEADER - END */
/* Swiper - START */

.umb-block-grid {
    overflow-y: scroll;
    height: 100vh;
    scroll-snap-type: y proximity;
    scroll-padding: 10% 0;
}

.swiper {
    height: 70vh;
    /*max-height: 1080px;*/

    scroll-snap-align: center;
}

.swiper-slide-quick-info {
    padding: 32px 16px;
}

.swiper-slide-quick-info h3,
.swiper-slide-quick-info p
{
    color: #F7F5F2;
}

.swiper-slide-details {
    background: #000;
    position: absolute;
    left: 0;
    right: 0;
    height: 100%;

    transition: bottom 0.2s ease-in;
    bottom: -100%;

    display: flex;
    flex-direction: column;
}

.swiper-slide-details.swiper-slide-details-open {
    bottom: 0%;
}

.swiper-slide-details-panel {
    flex-basis: 100%;

    display: flex;
    flex-direction: column;
    padding: 16px;
    padding-bottom: 0px;
}

.swiper-slide-details-panel:last-child {
    padding-bottom: 32px;
}

.swiper-slide-details-panel:nth-child(1) {
    flex: 1;
}

.swiper-slide-details-panel:nth-child(2) {
    justify-content: space-between;
    padding-right: 40px;
}

.swiper-slide-details-panel .video {
    width: 100%;
    aspect-ratio: 16 / 9;
    max-height: 75%; /* TODO: Should adapt to height of text below video */
}

@media screen and (min-width: 769px) {
    /* Desktop */

    .swiper-slide-quick-info {
        padding: 45px 19px;
    }

    .swiper-slide-details {
        flex-direction: row;
    }

    .swiper-slide-details-panel {
        flex: 1;
        padding: 19px;
        padding-bottom: 45px;
    }

    .swiper-slide-details-panel:nth-child(2) {
        justify-content: start;
        gap: 24px;
        padding-right: 83px;
    }
}

.swiper-pagination {
    --swiper-pagination-bullet-size: 16px;
    --swiper-pagination-color: #f7f5f2;
}

.swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
    --swiper-pagination-bullet-inactive-opacity: 1.0;
    background: transparent;
    box-sizing: border-box;
    border: 2px solid #f7f5f2;
}

/* Swiper - END */
